%bcond_without python2
%bcond_without python3
Name: python-mako
Version: 1.0.6
Release: 14
Summary: Mako template library for Python
License: (MIT and Python) and (BSD or GPLv2)
Group: Development/Languages
URL: http://www.makotemplates.org/
Source0: https://bitbucket.org/zzzeek/mako/get/rel_%(echo %{version} | sed "s/\./_/g").tar.bz2
Patch0:  python-mako-1.0.6-CVE-2022-40023.patch

BuildArch: noarch

BuildRequires: python2-devel python2-pytest python2-setuptools
BuildRequires: python2-markupsafe python2-nose python2-mock
BuildRequires: python3-devel python3-pytest python3-setuptools
BuildRequires: python3-markupsafe python3-mock python3-nose

%description
Python-mako is a template library for Python. It provides a familiar, non-XML
syntax which compiles into Python modules for maximum performance. Mako's syntax
and API borrows from the best ideas of many others, including Django templates,
Cheetah, Myghty, and Genshi.

%package -n python2-mako
Summary:  Mako library for python 2
Requires: python2-markupsafe
Recommends: python2-beaker

%{?python_provide:%python_provide python2-mako}

%description -n python2-mako 
Mako library for python 2.

%package -n python3-mako
Summary:  Mako library for Python 3
Requires: python3-markupsafe
Recommends: python3-beaker

%{?python_provide:%python_provide python3-mako}

%description -n python3-mako 
Mako library for Python 3.

%package help
Summary: Help file of Mako library for Python
Requires:   python3-mako = %{version}-%{release}

%description help
Help file of Mako library for Python in text and HTML formats.

%prep
%autosetup -p1 -n zzzeek-mako-8e83c7561e3c

%build
%{?with_python2:%py2_build}
%{?with_python3:%py3_build}

%install
%{?with_python3:%py3_install}

mv %{buildroot}/%{_bindir}/mako-render %{buildroot}/%{_bindir}/python3-mako-render

%{?with_python2:%py2_install}

rm -rf doc/build

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-mako
%license LICENSE AUTHORS
%doc CHANGES README.* examples
%{_bindir}/mako-render
%{python2_sitelib}/*

%files -n python3-mako
%license LICENSE AUTHORS
%doc CHANGES README.* examples
%{_bindir}/python3-mako-render
%{python3_sitelib}/*

%files help
%doc doc

%changelog
* Tue Sep 19 2023 dillon chen <dillon.chen@gmail.com> - 1.0.6-14
- CVE-2022-40023

* Wed Sep 2 2020 wenzhanli<wenzhanli2@huawei.com> - 1.0.6-13
- Add python2 python3 definition

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.0.6-12
- Type:NA
- ID:NA
- SUG:NA
- DESC:Package Init
